Pterodactyldocs
Client A P I

Delete server allocation

Removes a non-primary allocation from the server and returns it to the available pool.

DELETE/api/client/servers/{server_uuid}/network/allocations/{allocation_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_uuid*string

The server UUID.

allocation_id*integer

The ID of the allocation.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/network/allocations/1"
Empty